################################################################################
##
## clusrank: Wilcoxon Rank Tests for Clustered Data
## Copyright (C) 2015-2022  Yujing Jiang, Mei-Ling Ting Lee, and Jun Yan
##
## This file is part of the R package clusrank.
##
## The R package clusrank is free software: You can redistribute it and/or
## modify it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or any later
## version (at your option). See the GNU General Public License at
## <https://www.gnu.org/licenses/> for details.
##
## The R package clusrank is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
##
################################################################################
#' Clustered Stratified Data for Testing the Clustered Rank Sum Test
#'
#' Stratified data with clustering structure, Have some missing values.
#'
#' @format
#' A data frame with 956 observations on 4 variables.
#'
#' [, 1] id      cluster id
#'
#' [, 2] z       score
#'
#' [, 3] group   group id
#'
#' [, 4] stratum stratum id
#'
#' @name crdStr
#' @docType data
#' @source \url{https://sites.google.com/a/channing.harvard.edu/bernardrosner/channing/incorporating-cluster-effects-for-the-wilcoxon-rank-sum-test-1/stratify--cluswilcox/sample-data}
#' @keywords datasets internal
NULL
