################################################################################
##
## clusrank: Wilcoxon Rank Tests for Clustered Data
## Copyright (C) 2015-2022  Yujing Jiang, Mei-Ling Ting Lee, and Jun Yan
##
## This file is part of the R package clusrank.
##
## The R package clusrank is free software: You can redistribute it and/or
## modify it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or any later
## version (at your option). See the GNU General Public License at
## <https://www.gnu.org/licenses/> for details.
##
## The R package clusrank is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
##
################################################################################
#'  Difference between Pre and Post Treatment Scores with Clustering
#'  Structure: Unbalanced
#'
#'  Simulated clustered data with the difference of pre and post treatment scores recorded.
#'  The data is unbalanced.
#'
#' @format A data frame with 748 rows and 2 variables.
#'
#'   [, 1] id cluster id
#'
#'   [, 2] z  score difference
#'
#' @name crsdUnb
#' @docType data
#' @source \url{https://sites.google.com/a/channing.harvard.edu
#' /bernardrosner/channing/
#' cluster-signed-rank-test-for
#' -balancedunbalanced-design/sample-data-for-unbalanced-data-1}
#' @keywords datasets internal
NULL
